Loading...
Searching...
No Matches
UiToggleAction< T > Class Template Reference

`#include <gx_main_window.h>`

Inheritance diagram for UiToggleAction< T >:

## Static Public Member Functions

static Glib::RefPtr< UiToggleAction > | create (gx_engine::GxMachineBase &machine, const std::string &id, const Glib::ustring &name, bool is_active=false)
Static Public Member Functions inherited from ToggleAction
static Glib::RefPtr< ToggleAction > | create (const Glib::ustring &name, bool state=false)

## Protected Member Functions

| UiToggleAction (gx_engine::GxMachineBase &machine_, const std::string &id, const Glib::ustring &name, bool is_active=false)
| ~UiToggleAction ()
Protected Member Functions inherited from ToggleAction
| ToggleAction (const Glib::ustring &name, bool state)

## Private Member Functions

void | on_toggled ()

## Private Attributes

gx_engine::GxMachineBase & | machine
std::string | id

## Additional Inherited Members

Public Member Functions inherited from ToggleAction
Glib::SignalProxyProperty | signal_toggled ()
bool | get_active () const
void | set_active (bool v)

## Detailed Description

template<class T>
class UiToggleAction< T >

Definition at line 83 of file gx_main_window.h.

## Constructor & Destructor Documentation

## UiToggleAction()

template<class T>

UiToggleAction< T >::UiToggleAction | ( | gx_engine::GxMachineBase & | machine_,
|  | const std::string & | id,
|  | const Glib::ustring & | name,
|  | bool | is_active = false )

protected

Referenced by UiToggleAction< bool >::create().

## ~UiToggleAction()

template<class T>

UiToggleAction< T >::~UiToggleAction | ( |  | ) |

protected

## Member Function Documentation

## create()

template<class T>

Glib::RefPtr< UiToggleAction > UiToggleAction< T >::create | ( | gx_engine::GxMachineBase & | machine,
|  | const std::string & | id,
|  | const Glib::ustring & | name,
|  | bool | is_active = false )

inline static

Definition at line 94 of file gx_main_window.h.

## on_toggled()

template<class T>

void UiToggleAction< T >::on_toggled | ( |  | ) |

private

## Member Data Documentation

## id

template<class T>

std::string UiToggleAction< T >::id

private

Definition at line 86 of file gx_main_window.h.

## machine

template<class T>

gx_engine::GxMachineBase& UiToggleAction< T >::machine

private

Definition at line 85 of file gx_main_window.h.

The documentation for this class was generated from the following file:

- src/headers/gx_main_window.h